Get Order
curl --request GET \
--url https://api.zenflow.com.ar/api/v1/orders/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.zenflow.com.ar/api/v1/orders/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.zenflow.com.ar/api/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}Orders
Get Order
Retrieve a single order by ID
GET
/
api
/
v1
/
orders
/
{id}
Get Order
Get Order
Retrieve detailed information about a specific order.Requires
read:orders scope.Request
GET /api/v1/orders/{id}
Path Parameters
integer
required
The order ID
Response
boolean
Whether the request was successful
object
The order object with full details including line items
Example
curl -X GET "https://api.zenflow.com.ar/api/v1/orders/12345" \
-H "X-API-Key: zenflow_live_your_key"
const response = await fetch("https://api.zenflow.com.ar/api/v1/orders/12345", {
headers: { "X-API-Key": "zenflow_live_your_key" },
});
const data = await response.json();
import requests
response = requests.get(
'https://api.zenflow.com.ar/api/v1/orders/12345',
headers={'X-API-Key': 'zenflow_live_your_key'}
)
data = response.json()
Response
{
"success": true,
"data": {
"id": 12345,
"order_tenant_id": "ORD-001",
"state_id": 1,
"state_picking_id": null,
"assembly_date": "2024-01-15",
"customer_name": "John Doe",
"shipping_address": "123 Main St, City",
"order_detail": [
{
"id": 1001,
"product_id": 100,
"barcode": "7891234567890",
"product_name": "Widget A",
"quantity": 2,
"picked_quantity": 0,
"price": 29.99
},
{
"id": 1002,
"product_id": 101,
"barcode": "7891234567891",
"product_name": "Widget B",
"quantity": 1,
"picked_quantity": 0,
"price": 49.99
}
],
"created_at": "2024-01-14T10:30:00Z",
"updated_at": "2024-01-14T10:30:00Z"
}
}
Error Responses
404 Not Found
{
"success": false,
"error": {
"code": "not_found",
"message": "Order not found"
}
}
400 Bad Request
{
"success": false,
"error": {
"code": "invalid_id",
"message": "Order ID must be a valid integer"
}
}
⌘I

